GET
/api/v1/transaction-history/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/transaction-history/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/transaction-history/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/transaction-history/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Fetches detailed transaction history including billing events, with options to paginate, filter events, and perform advanced searches.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
advance_search
boolean
Example
falseEnable advanced search options
selectedEvents
string
Filter by specific event types (Initiated, Authorized, Successful, Failed, Refunded, or Unassigned)
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successful transaction history response
Media typeapplication/json
object
code
integer
data
Array<object>
object
created_at
string
updated_at
string
order_id
string
payment_id
string
amount
integer
status_code
string
status_message
string
message
string
origin
string
error_code
string
error_description
string
error_reason
string
errors
object
message
string
total_page_number
integer
total_items
integer
Example
{ "code": 200, "data": [ { "created_at": "Mar 07, 2025 04:54:22 PM", "updated_at": "Mar 07, 2025 04:54:22 PM", "order_id": null, "payment_id": "pi_3Qzz0sSCRdcgx9sG1DZer4bE", "amount": 10000, "status_code": "INITIATED", "status_message": "False", "message": null, "origin": "one-auth-stripe", "error_code": "", "error_description": "", "error_reason": "" } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_items": 4}